Subject: "default-free zone"

From: Michael Richardson <[email-masked]>
Date: Thu, 21 Feb 2002 11:03:19 -0500

I was looking for a definition of "default-free zone" that I could
simply reference. The best definition that I got was from:

       http://www1.ietf.org/mail-archive/ietf/Current/msg10120.html

  which still left me with something to be desired.
  (The topology doesn't have to be the least bit convoluted. It is
just a question of the buck stopping here...)

  I thought that multi6 requirements might have a definition, but 
they do not. The term is used extensively in the multi6 charter, but
never well defined. I understand the term well, but I was hoping that
it was defined elsewhere already.
  I would write:

"Default-free zone:
    The set of routers that maintain a complete set of routes to
    all currently reachable destinations. Having such a list, these routers
    never make use of a default route. A datagram with a destination address
    not matching any route will be dropped by such a router."

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another NetBSD/notebook using, kernel hacking, security guy");  [